Systeem eisen

Uit webtrees
Ga naar: navigatie, zoeken

Om webtrees te installeren, heeft u het volgende nodig:

  • Een webserver. Apache, Nginx en IIS zijn de meest gebruikte webservers. Het is niet vereist om een bepaald type of een bepaalde versie te gebruiken.
  • Ongeveer 45MB vrije schijfruimte voor het programma, plus wat nodig is voor uw multimedia bestanden, GEDCOM bestanden en de database.
  • PHP. Voor webtrees 1.7.10 heeft u PHP-5.3 nodig. Als uw provider alleen PHP-5.2 aanbiedt, dan zult u webtrees 1.4.6 moeten installeren. Veel providers bieden zowel PHP4 als PHP5 aan, meestal met PHP4 als standaard. In deze situatie kunt u meestal wisselen tussen de twee PHP-versies via een controlepaneel of door gebruik te maken van een configuratiebestand. Raadpleeg de documentatie van uw provider voor meer details.
    • PHP moet geconfigureerd zijn met de PHP/PDO bibliotheek voor MySQL. Dit is een server configuratie optie die bij de meeste providers standaard is ingeschakeld. Zie http://php.net/pdo.
    • PHP moet zodanig worden geconfigureerd dat er voldoende servermiddelen (geheugen en uitvoeringstijd) beschikbaar zijn. De juiste configuratie is afhankelijk van de grootte van uw systeem. Normale eisen zijn:
      • Kleine systemen (500 personen): 16-32MB, 10-20 seconden
      • Middelgrote systemen (5000 personen): 32-64MB, 20-40 seconden
      • Grote systemen (50000 personen): 64-128MB, 40-80 seconden
  • MySQL 5.0.13 of nieuwer. webtrees kan de database delen met andere applicaties wanneer u tijdens de configuratie kiest voor een uniek tabel voorvoegsel. Als uw provider het aantal databases niet heeft beperkt, kun u ook alleen een database voor webtrees opzetten. U kunt dan voor uw genealogie een aparte gebruiker en wachtwoord aanmaken.
  • Internet browser compatibiliteit. webtrees ondersteunt de meest recente versies van de open-source browsers zoals Firefox, Chrome en Safari. We doen ons best om ook andere browsers zoals Opera en Internet Explorer te ondersteunen, met uitzondering van de oudere versies. Op dit moment werken veel dingen niet goed in IE6 en sommige ook niet in IE7. We raden een ieder, die nog gebruik maakt van deze verouderde browsers, aan om zo snel mogelijk te upgraden. We maken u er ook op attent dat IE over het algemeen slechte ondersteuning biedt voor het gebruik van rechts-naar-links (RTL) talen. We adviseren daarom om deze browser niet te gebruiken voor websites die gebruik maken van RTL-talen.
  • Om websites te bekijken die zowel links-naar-rechts als rechts-naar-links tekst bevatten (bijv. Engelse gegevens op Hebreewse pagina's), zult u gebruik moeten maken van een browser die ondersteuning biedt voor het HTML5 dir="auto" attribuut. Op dit moment ondersteunt Internet Explorer (11 en lager) dit niet.
  • HTML Frames. Houdt er rekening mee dat webtrees cookies gebruikt om inlogsessies te volgen. Websites die webtrees pagina's beschikbaar stellen binnen HTML Frames zullen problemen ondervinden met inloggen, indien gebruikt wordt gemaakt van de versies 7, 8, en 9 van Internet Explorer. IE gebruikers dienen de Privacy instellingen in Gereedschappen/Internetopties te raadplegen voor meer details.
Lees Mij Pagina's
Licensie
Introductie
Systeem eisen
Installatie
Upgraden
GEDCOM-bestand
Veiligheid
Backup
Migratie van PhpGedView
Deze pagina is niet meer gecontroleerd sinds webtrees 1.7.1. De pagina kan verouderd zijn. Mogelijk dat de Engelse versie van deze pagina recentere informatie bevat.